%global pkgvers 2
%global scdate0 20221025
%global schash0 c69953aff92da0a2696877884a009c3718cfaa51
%global branch0 master
%global source0 https://github.com/litex-hub/pythondata-cpu-microwatt.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           litex-pythondata-cpu-microwatt
Version:        2022.12
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Non-Python files needed for the cpu microwatt
License:        BSD
BuildArch:      noarch

URL:            https://github.com/litex-hub/pythondata-cpu-microwatt

BuildRequires:  git python3-devel python3-setuptools

Requires:       %{name}-python3 = %{version}-%{release}

%global debug_package %{nil}
%global __strip /bin/true
%undefine _missing_build_ids_terminate_build
%define _binaries_in_noarch_packages_terminate_build 0

%description
Non-Python files needed for the cpu microwatt packaged
into a Python module so they can be used with Python
libraries and tools.


%package        python3
Summary:        %{summary}
Requires:       litex-python3
Provides:       pythondata-cpu-microwatt

%description    python3
Non-Python files needed for the cpu microwatt packaged
into a Python module so they can be used with Python
libraries and tools.


%prep
%setup -T -c -n %{name}
find %{_builddir} -name SPECPARTS -exec rm -rf {} +
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%{py3_build}


%install
%{py3_install}
find %{buildroot} -name '*.py' -exec sed -i 's|#!/usr/bin/env python.*|#!/usr/bin/python3|g' {} +


%files python3
%doc README.md
%license LICENSE
%{python3_sitelib}/*


%changelog
* Thu Nov 18 2021 Cristian Balint <cristian.balint@gmail.com>
- initial release
